package com.oguerreiro.resilient.error;

public class InventoryImportVariableInvalidValueForUnitTypeException extends ResilientException {
	private static final String CODE = "E003";
	
	public InventoryImportVariableInvalidValueForUnitTypeException(String sheetName, int row, String variableCode, String value, String valueType) {
		super("Sheet [" + sheetName + "]; Row[" + row + "]; Variable Code [" + variableCode + "]; The value [" + value + "] it's invalid for type [" + valueType + "].");
		
		addMessageArg(sheetName);
		addMessageArg(row);
		addMessageArg(variableCode);
		addMessageArg(value);
		addMessageArg(valueType);
	}
	
	@Override
	public String getMessageCode() {
		return CODE;
	}

}
